=== debian/control ===
Source: ros-iron-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-controller-manager-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-simple-controller-manager, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp-action, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-controller-manager-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-simple-controller-manager, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp-action, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: ros_control controller manager interface for MoveIt
